This queue is for tickets about the CPAN CPAN distribution.

Report information
The Basics
Id:
16293
Status:
resolved
Priority:
Low/Low
Queue:

People
Owner:
ANDK [...] cpan.org
Requestors:
jdhedden [...] 1979.usna.com
Cc:
AdminCc:

BugTracker
Severity:
Important
Broken in:
1.80
Fixed in:
(no value)



Subject: Version detection broken for: our $VERSION = '1.1.0'
CPAN v1.80 doesn't properly handle version strings set up as: our $VERSION = '1.1.0'; i.e., a quoted string with two decimal points. Here's a sample output for the 'r' command: Package namespace installed latest in CPAN file Digest::SHA2 1.1.0 1.1 J/JC/JCDUQUE/Digest-SHA2-1.1.0.tar.gz Math::Random::MT::Auto 4.13.00 4.13 J/JD/JDHEDDEN/Math-Random-MT-Auto-4.13.00.tar.gz
From: andreas.koenig.gmwojprw@franz.ak.mind.de (Andreas J. Koenig)
To: bug-CPAN@rt.cpan.org
CC: jcduque@cpan.org, jdhedden@cpan.org
Subject: Re: [cpan #16293] Version detection broken for: our $VERSION = '1.1.0'
Date: Mon, 05 Dec 2005 23:07:01 +0100
RT-Send-Cc:
Show quoted text
>>>>> On Mon, 5 Dec 2005 08:34:30 -0500 (EST), " via RT" <bug-CPAN@rt.cpan.org> said:
Show quoted text
> This message about CPAN was sent to you by JDHEDDEN <JDHEDDEN@cpan.org> via rt.cpan.org
Show quoted text
> Full context and any attached attachments can be found at: > <URL: https://rt.cpan.org/Ticket/Display.html?id=16293 >
Show quoted text
> CPAN v1.80 doesn't properly handle version strings set up as:
Show quoted text
> our $VERSION = '1.1.0';
Show quoted text
> i.e., a quoted string with two decimal points.
Show quoted text
> Here's a sample output for the 'r' command:
Show quoted text
> Package namespace installed latest in CPAN file > Digest::SHA2 1.1.0 1.1 J/JC/JCDUQUE/Digest-SHA2-1.1.0.tar.gz > Math::Random::MT::Auto 4.13.00 4.13 J/JD/JDHEDDEN/Math-Random-MT-Auto-4.13.00.tar.gz
Thanks for pointing that out. What's going on here is, it's not CPAN.pm that is wrong, it is the CPAN indexer that WAS wrong. I gave the indexer on CPAN a kick to speifically re-index JCDUQUE/Digest-SHA2-1.1.0.tar.gz and JDHEDDEN/Math-Random-MT-Auto-4.13.00.tar.gz It will then report Digest::SHA1 as 1.001000 and Math:... as 4.013000 AND it will compare these versions with the instaled versions as being equal. The only problem that remains at the moment is to get all authors to re-index their modules. Maybe we need to help them in getting that done. But I do not want to push too much as I first want to see that it really does work out well. -- andreas
From: andreas.koenig.gmwojprw@franz.ak.mind.de (Andreas J. Koenig)
To: merlyn@stonehenge.com (Randal L. Schwartz)
CC: "Andreas J. Koenig" <andreas.koenig.gmwojprw@franz.ak.mind.de>, bug-CPAN@rt.cpan.org
Subject: [cpan #16293] Re: CPAN 1.80 unusable - downgraded to 1.76 until further notice
Date: Wed, 07 Dec 2005 05:24:10 +0100
RT-Send-Cc:
Show quoted text
>>>>> On 06 Dec 2005 16:26:46 -0800, merlyn@stonehenge.com (Randal L. Schwartz) said:
Show quoted text
> When I installed 1.80 of CPAN.pm, many of the modules that were "up to > date" that I installed from the CPAN were all of a sudden "out of > date", and downrev versions of those modules were now being installed > left and right.
Show quoted text
> I quickly retrograded to 1.76 of CPAN.pm, but I'm wondering what > your schedule is for releasing a usable version of CPAN.pm, because > other people on #perl have been asking as well.
I think, the whole problem is described here: http://rt.cpan.org/Ticket/Display.html?id=16293 Specifically I write: The only problem that remains at the moment is to get all authors to re-index their modules. Maybe we need to help them in getting that done. But I do not want to push too much as I first want to see that it really does work out well. You can for example take note that Digest::SHA2 and Math::Random::MT::Auto are (by CPAN 1.80) not anymore reported as out of date because they have been re-indexed since the original posting in that RT ticket. Last time I counted, it were 300 distributions affected. Note that all of these are using some sort of multidot version strings and have all been treated wrongly in the past. If you have counterexamples I'd be mostly interested. Please reinstall 1.80 and work with it and let me know what you suggest as the smoothest way forward. -- andreas


This service runs on Request Tracker, is sponsored by The Perl Foundation, and maintained by Best Practical Solutions.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.